unit FreqCounterExm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,MCL_FreqCounter_TLB;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    DelayTime: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    StartButton: TButton;
    StopButton: TButton;
    procedure StopButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure DelayTimeChange(Sender: TObject);
    procedure StartButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  MyCounter:_USB_FreqCounter;
  StopRun : Boolean;
  SampleTime: Single;
  Freq: Double;
  status:Integer;

implementation

{$R *.DFM}

procedure TForm1.StopButtonClick(Sender: TObject);
begin
        StopRun:= False;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    MyCounter:= CoUSB_FreqCounter.Create;
    status:= MyCounter.Connect('');

end;

procedure TForm1.DelayTimeChange(Sender: TObject);
begin
        SampleTime:=  StrToFloat(DelayTime.Text);
        status:= MyCounter.SetSampleTime(SampleTime);
end;

procedure TForm1.StartButtonClick(Sender: TObject);
begin

        StopRun := False;

        while (not StopRun)
        do begin

                status:= MyCounter.ReadFreq(Freq);
                Label4.Caption:=format('%4.5f MHZ',[Freq]);
                Application.ProcessMessages ;

           



        end;


end;

end.
