Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        SampleTime = CDbl(DelayTime.Text)
        ' connect the counter by USB 
        status = MyCounter.Connect
        ' in case the connection failed
        If status <= 0 Then
            MsgBox("Freq Counter not connected")
            Me.Close()
        End If



    End Sub

    Private Sub DelayTime_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DelayTime.TextChanged
        SampleTime = CDbl(DelayTime.Text)
        ' set new sample time for the counter
        status = MyCounter.SetSampleTime(SampleTime)
    End Sub

    Private Sub StartButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StartButton.Click
        StopRun = False


        While Not StopRun
            ' read new freq from the counter
            status = MyCounter.ReadFreq(Freq)
            Frequency.Text = Format$(Freq, "0.00000") & " MHZ"
            Application.DoEvents()
        End While


    End Sub

    Private Sub StopButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StopButton.Click
        StopRun = True
    End Sub

    
End Class
