using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using mcl_FreqCounter64;

namespace FreqCounterExm
{
    public partial class Form1 : Form
    {
        mcl_FreqCounter64.USB_FreqCounter MyCounter = new mcl_FreqCounter64.USB_FreqCounter();
        int status;
        float STime;
        bool StopRun;
        double freq1;


        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string SN = "";
            status = MyCounter.Connect(ref(SN));
        }

        

        private void StopButton_Click(object sender, EventArgs e)
        {
            StopRun = true;
        }

        private void StartButton_Click(object sender, EventArgs e)
        {
            StopRun = false;

            while (StopRun == false)
            {
                status = MyCounter.ReadFreq(ref(freq1));
                Freq.Text = freq1 + " MHZ";
                Application.DoEvents();


            }




        }

        private void SampleTime_TextChanged(object sender, EventArgs e)
        {
            STime = float.Parse(SampleTime.Text);
            status = MyCounter.SetSampleTime(ref(STime));
        }
    }
}