#include "USB_FreqCnt.h"

typedef interface tagMCLFreqCounter__USB_FreqCounter_Interface MCLFreqCounter__USB_FreqCounter_Interface;

typedef struct tagMCLFreqCounter__USB_FreqCounter_VTable
{
	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *QueryInterface )( MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR * This, 
	                                                         REFIID riid, 
	                                                         void __RPC_FAR *__RPC_FAR *ppvObject);

	ULONG ( STDMETHODCALLTYPE __RPC_FAR *AddRef )( MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR * This);

	ULONG ( STDMETHODCALLTYPE __RPC_FAR *Release )( MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR * This);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *GetTypeInfoCount )( MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR * This, 
	                                                           UINT __RPC_FAR *pctinfo);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *GetTypeInfo )( MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR * This, 
	                                                      UINT iTInfo, 
	                                                      LCID lcid, 
	                                                      ITypeInfo __RPC_FAR *__RPC_FAR *ppTInfo);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *GetIDsOfNames )( MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR * This, 
	                                                        REFIID riid, 
	                                                        LPOLESTR __RPC_FAR *rgszNames, 
	                                                        UINT cNames, 
	                                                        LCID lcid, 
	                                                        DISPID __RPC_FAR *rgDispId);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *Invoke )( MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR * This, 
	                                                 DISPID dispIdMember, 
	                                                 REFIID riid, 
	                                                 LCID lcid, 
	                                                 WORD wFlags, 
	                                                 DISPPARAMS __RPC_FAR *pDispParams, 
	                                                 VARIANT __RPC_FAR *pVarResult, 
	                                                 EXCEPINFO __RPC_FAR *pExcepInfo, 
	                                                 UINT __RPC_FAR *puArgErr);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *Read_ModelName_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                         BSTR *modelName, 
	                                                         short *arg2);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *SetSampleTime_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                        float *sampleTime_sec, 
	                                                        short *arg2);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *SetRange_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                   short *requestedRange, 
	                                                   short *arg2);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *Read_SN_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                  BSTR *SN, 
	                                                  short *arg2);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *Get_Available_SN_List_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                                BSTR *SN_List, 
	                                                                short *arg2);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *GetStatus_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                    short *arg1);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *ReadFreq_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                   double *freqRet, 
	                                                   short *arg2);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *GetRange_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                   BSTR *arg1);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *Connect_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This, 
	                                                  BSTR SN_Request, 
	                                                  short *arg2);

	HRESULT ( STDMETHODCALLTYPE __RPC_FAR *Disconnect_) (MCLFreqCounter__USB_FreqCounter_Interface __RPC_FAR *This);

} MCLFreqCounter__USB_FreqCounter_VTable;

typedef interface tagMCLFreqCounter__USB_FreqCounter_Interface
{
	CONST_VTBL MCLFreqCounter__USB_FreqCounter_VTable __RPC_FAR *lpVtbl;
} MCLFreqCounter__USB_FreqCounter_Interface;

const IID MCLFreqCounter_IID__USB_FreqCounter =
	{
		0xCE67E179, 0x36BC, 0x4A63, 0xB4, 0x76, 0x6, 0xFD, 0x68, 0x5C, 0x2F, 0xF7
	};

HRESULT CVIFUNC MCLFreqCounter_New_USB_FreqCounter (const char *server,
                                                    int supportMultithreading,
                                                    LCID locale, int reserved,
                                                    CAObjHandle *objectHandle)
{
	HRESULT __result = S_OK;
	GUID clsid = {0x792FB10C, 0x2379, 0x4F26, 0xA6, 0xA8, 0xAF, 0x60, 0xFF,
	              0x7B, 0x35, 0xAA};

	__result = CA_CreateObjectByClassIdEx (&clsid, server,
	                                       &MCLFreqCounter_IID__USB_FreqCounter,
	                                       supportMultithreading, locale,
	                                       reserved, objectHandle);

	return __result;
}

HRESULT CVIFUNC MCLFreqCounter_Open_USB_FreqCounter (const char *fileName,
                                                     const char *server,
                                                     int supportMultithreading,
                                                     LCID locale, int reserved,
                                                     CAObjHandle *objectHandle)
{
	HRESULT __result = S_OK;
	GUID clsid = {0x792FB10C, 0x2379, 0x4F26, 0xA6, 0xA8, 0xAF, 0x60, 0xFF,
	              0x7B, 0x35, 0xAA};

	__result = CA_LoadObjectFromFileByClassIdEx (fileName, &clsid, server,
	                                             &MCLFreqCounter_IID__USB_FreqCounter,
	                                             supportMultithreading, locale,
	                                             reserved, objectHandle);

	return __result;
}

HRESULT CVIFUNC MCLFreqCounter_Active_USB_FreqCounter (const char *server,
                                                       int supportMultithreading,
                                                       LCID locale, int reserved,
                                                       CAObjHandle *objectHandle)
{
	HRESULT __result = S_OK;
	GUID clsid = {0x792FB10C, 0x2379, 0x4F26, 0xA6, 0xA8, 0xAF, 0x60, 0xFF,
	              0x7B, 0x35, 0xAA};

	__result = CA_GetActiveObjectByClassIdEx (&clsid, server,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          supportMultithreading, locale,
	                                          reserved, objectHandle);

	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterRead_ModelName (CAObjHandle objectHandle,
                                                               ERRORINFO *errorInfo,
                                                               char **modelName,
                                                               short *arg2)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	BSTR modelName__AutoType = 0;
	short arg2__Temp;

	__caErrChk (CA_CStringToBSTR (*modelName, &modelName__AutoType));

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->Read_ModelName_ (__vtblIFacePtr,
	                                                     &modelName__AutoType,
	                                                     &arg2__Temp));

	if (modelName)
		{
		CA_FreeMemory (*modelName);
		*modelName = 0;
		}
	if (modelName)
		__caErrChk (CA_BSTRGetCString (modelName__AutoType, modelName));
	if (arg2)
		{
		*arg2 = arg2__Temp;
		}

Error:
	CA_FreeBSTR (modelName__AutoType);
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	if (FAILED(__result))
		{
		if (modelName)
			{
			CA_FreeMemory (*modelName);
			*modelName = 0;
			}
		}
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterSetSampleTime (CAObjHandle objectHandle,
                                                              ERRORINFO *errorInfo,
                                                              float *sampleTime_sec,
                                                              short *arg2)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	short arg2__Temp;

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->SetSampleTime_ (__vtblIFacePtr,
	                                                    sampleTime_sec,
	                                                    &arg2__Temp));

	if (arg2)
		{
		*arg2 = arg2__Temp;
		}

Error:
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterSetRange (CAObjHandle objectHandle,
                                                         ERRORINFO *errorInfo,
                                                         short *requestedRange,
                                                         short *arg2)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	short arg2__Temp;

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->SetRange_ (__vtblIFacePtr,
	                                               requestedRange, &arg2__Temp));

	if (arg2)
		{
		*arg2 = arg2__Temp;
		}

Error:
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterRead_SN (CAObjHandle objectHandle,
                                                        ERRORINFO *errorInfo,
                                                        char **SN, short *arg2)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	BSTR SN__AutoType = 0;
	short arg2__Temp;

	__caErrChk (CA_CStringToBSTR (*SN, &SN__AutoType));

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->Read_SN_ (__vtblIFacePtr,
	                                              &SN__AutoType, &arg2__Temp));

	if (SN)
		{
		CA_FreeMemory (*SN);
		*SN = 0;
		}
	if (SN)
		__caErrChk (CA_BSTRGetCString (SN__AutoType, SN));
	if (arg2)
		{
		*arg2 = arg2__Temp;
		}

Error:
	CA_FreeBSTR (SN__AutoType);
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	if (FAILED(__result))
		{
		if (SN)
			{
			CA_FreeMemory (*SN);
			*SN = 0;
			}
		}
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterGet_Available_SN_List (CAObjHandle objectHandle,
                                                                      ERRORINFO *errorInfo,
                                                                      char **SN_List,
                                                                      short *arg2)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	BSTR SN_List__AutoType = 0;
	short arg2__Temp;

	__caErrChk (CA_CStringToBSTR (*SN_List, &SN_List__AutoType));

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->Get_Available_SN_List_ (__vtblIFacePtr,
	                                                            &SN_List__AutoType,
	                                                            &arg2__Temp));

	if (SN_List)
		{
		CA_FreeMemory (*SN_List);
		*SN_List = 0;
		}
	if (SN_List)
		__caErrChk (CA_BSTRGetCString (SN_List__AutoType, SN_List));
	if (arg2)
		{
		*arg2 = arg2__Temp;
		}

Error:
	CA_FreeBSTR (SN_List__AutoType);
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	if (FAILED(__result))
		{
		if (SN_List)
			{
			CA_FreeMemory (*SN_List);
			*SN_List = 0;
			}
		}
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterGetStatus (CAObjHandle objectHandle,
                                                          ERRORINFO *errorInfo,
                                                          short *arg1)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	short arg1__Temp;

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->GetStatus_ (__vtblIFacePtr,
	                                                &arg1__Temp));

	if (arg1)
		{
		*arg1 = arg1__Temp;
		}

Error:
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterReadFreq (CAObjHandle objectHandle,
                                                         ERRORINFO *errorInfo,
                                                         double *freqRet,
                                                         short *arg2)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	short arg2__Temp;

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->ReadFreq_ (__vtblIFacePtr, freqRet,
	                                               &arg2__Temp));

	if (arg2)
		{
		*arg2 = arg2__Temp;
		}

Error:
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterGetRange (CAObjHandle objectHandle,
                                                         ERRORINFO *errorInfo,
                                                         char **arg1)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	BSTR arg1__AutoType = 0;

	if (arg1)
		*arg1 = 0;

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->GetRange_ (__vtblIFacePtr,
	                                               &arg1__AutoType));

	if (arg1)
		__caErrChk (CA_BSTRGetCString (arg1__AutoType, arg1));

Error:
	CA_FreeBSTR (arg1__AutoType);
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	if (FAILED(__result))
		{
		if (arg1)
			{
			CA_FreeMemory (*arg1);
			*arg1 = 0;
			}
		}
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterConnect (CAObjHandle objectHandle,
                                                        ERRORINFO *errorInfo,
                                                        const char *SN_Request,
                                                        short *arg2)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;
	BSTR SN_Request__AutoType = 0;
	short arg2__Temp;

	__caErrChk (CA_CStringToBSTR (SN_Request, &SN_Request__AutoType));

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->Connect_ (__vtblIFacePtr,
	                                              SN_Request__AutoType,
	                                              &arg2__Temp));

	if (arg2)
		{
		*arg2 = arg2__Temp;
		}

Error:
	CA_FreeBSTR (SN_Request__AutoType);
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}

HRESULT CVIFUNC MCLFreqCounter__USB_FreqCounterDisconnect (CAObjHandle objectHandle,
                                                           ERRORINFO *errorInfo)
{
	HRESULT __result = S_OK;
	MCLFreqCounter__USB_FreqCounter_Interface * __vtblIFacePtr = 0;
	int __didAddRef;
	int __errorInfoPresent = 0;

	__caErrChk (CA_GetInterfaceFromObjHandle (objectHandle,
	                                          &MCLFreqCounter_IID__USB_FreqCounter,
	                                          0, &__vtblIFacePtr, &__didAddRef));
	__caErrChk (__vtblIFacePtr->lpVtbl->Disconnect_ (__vtblIFacePtr));

Error:
	if (__vtblIFacePtr && __didAddRef)
		__vtblIFacePtr->lpVtbl->Release (__vtblIFacePtr);
	CA_FillErrorInfoEx (objectHandle, &MCLFreqCounter_IID__USB_FreqCounter,
	                    __result, errorInfo, &__errorInfoPresent);
	if (__errorInfoPresent)
		__result = DISP_E_EXCEPTION;
	return __result;
}
