//==============================================================================
//
// Title:       USB_FreqCounter
// Purpose:     A short description of the application.
//
// Created on:  16/04/2009 at 15:59:46 by prog.
// Copyright:   . All Rights Reserved.
//
//==============================================================================

//==============================================================================
// Include files

#include "USB_FreqCnt.h"
#include <ansi_c.h>
#include <cvirte.h>     
#include <userint.h>
#include "USB_FreqCounter.h"
#include "toolbox.h"

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// Static global variables

static int panelHandle;

//==============================================================================
// Static functions

//==============================================================================
// Global variables

//==============================================================================
// Global functions

/// HIFN The main entry-point function.
int main (int argc, char *argv[])
{
    int error = 0;
    
    /* initialize and load resources */
    nullChk (InitCVIRTE (0, argv, 0));
    errChk (panelHandle = LoadPanel (0, "USB_FreqCounter.uir", PANEL));
    
    /* display the panel and run the user interface */
    errChk (DisplayPanel (panelHandle));
    errChk (RunUserInterface ());

Error:
    /* clean up */
    DiscardPanel (panelHandle);
    return 0;
}

//==============================================================================
// UI callback function prototypes

/// HIFN Exit when the user dismisses the panel.
int CVICALLBACK panelCB (int panel, int event, void *callbackData,
        int eventData1, int eventData2)
{
    if (event == EVENT_CLOSE)
        QuitUserInterface (0);
    return 0;
}

int CVICALLBACK ReadFreq (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	
	float sample = 0.5;
	double freq;
	CAObjHandle obj;	  
	MCLFreqCounter_New_USB_FreqCounter(NULL,1,LOCALE_NEUTRAL,0,&obj);
	MCLFreqCounter__USB_FreqCounterConnect(obj,NULL,"",0);
	MCLFreqCounter__USB_FreqCounterSetSampleTime(obj,NULL,&sample,0);
	MCLFreqCounter__USB_FreqCounterReadFreq(obj,NULL,&freq,0);
	MCLFreqCounter__USB_FreqCounterDisconnect(obj,NULL);
	
	
	
	//MCLGen_New_USB_Gen(NULL,1, 	LOCALE_NEUTRAL,0,&obj);	   
	 //MCLGen__USB_GenConnect(obj,NULL,"",0);
	 //MCLGen__USB_GenSetFreqAndPower(obj,NULL,2000,-15,0,0);
	 //MCLGen__USB_GenSetPowerON(obj,NULL,0);	
	
	
	
	
	
	
}
