VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4560
   ClientLeft      =   2850
   ClientTop       =   2985
   ClientWidth     =   4260
   LinkTopic       =   "Form1"
   ScaleHeight     =   4560
   ScaleWidth      =   4260
   Begin VB.CommandButton StopButton 
      Caption         =   "Stop"
      Height          =   495
      Index           =   0
      Left            =   2160
      TabIndex        =   6
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton StartButton 
      Caption         =   "Start"
      Height          =   495
      Index           =   1
      Left            =   600
      TabIndex        =   5
      Top             =   3120
      Width           =   1095
   End
   Begin VB.TextBox DelayTime 
      Alignment       =   2  'Center
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   177
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   2280
      TabIndex        =   2
      Text            =   "1.0"
      Top             =   1080
      Width           =   975
   End
   Begin VB.Label Frequency 
      Alignment       =   2  'Center
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   177
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   2040
      TabIndex        =   4
      Top             =   2160
      Width           =   1215
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "Frequency: "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   177
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   720
      TabIndex        =   3
      Top             =   2160
      Width           =   1095
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Delay Time (sec): "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   177
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   360
      TabIndex        =   1
      Top             =   1080
      Width           =   1815
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Frequency Counter Example"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   177
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   3975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim MyCounter As New MCL_FreqCounter.USB_FreqCounter
Dim status As Integer
Dim StopRun As Boolean
Dim SampleTime As Single
Dim Freq As Double







Private Sub DelayTime_Change()

    SampleTime = CDbl(DelayTime.Text)
    ' change the sample time of the counter
    MyCounter.SetSampleTime (SampleTime)
End Sub

Private Sub Form_Load()
    
    StopRun = False
    ' connect the counter by USB
    status = MyCounter.Connect
    ' in case the connection failed
    If status <= 0 Then
        MsgBox ("Freq Counter not connected")
        Unload Me
    End If
    



End Sub

Private Sub StartButton_Click(Index As Integer)
    StopRun = False
    
    While Not StopRun
        ' read new freq from the counter
        status = MyCounter.ReadFreq(Freq)
        Frequency.Caption = Format$(Freq, "0.0000") & " MHZ"
        DoEvents
       
    Wend

End Sub

Private Sub StopButton_Click(Index As Integer)
    StopRun = True
End Sub
